Get Global Promotion Settings
Returns global promotion settings.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Response
OK
promotions_apply_on_products_with_custom_product_price
- When the property is set to “true”, promotions will apply for products with custom pricing.
- When the property is set to “false”, promotions will not apply for products with custom pricing.
- Note: This field can only be edited for Enterprise Accounts.
promotions_triggered_by_products_with_zero_product_price
- When the property is set to “true”, promotions will be triggered by zero price products.
- When the property is set to “false”, promotions will not be triggered by zero price products.
- Note: This field can only be edited for Enterprise Accounts.
number_of_coupons_allowed_at_checkout
Specifies the number of coupons allowed at checkout on a single order.
- Note: This field can only be edited for Enterprise Accounts.
promotions_applied_on_original_product_price
- When the property is set to “true”, promotions in a cart are calculated independently, each applied to the original price of the included products.
- When the property is set to “false”, promotions in a cart are calculated cumulatively, applied to the order sub-total based on your promotion order.
Errors
400
Bad Request Error